PETSc version 3.15.5
Fix/Edit manual page

# MatSolveTypeGet

Gets the function that creates the factor matrix if it exist

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolverTypeGet(MatSolverType type,MatType mtype,MatFactorType ftype,PetscBool *foundtype,PetscBool *foundmtype,PetscErrorCode (**createfactor)(Mat,MatFactorType,Mat*))

### Input Parameters

| type | - name of the package, for example petsc or superlu
| ftype | - the type of factorization supported by the type
| mtype | - the matrix type that works with this type

### Output Parameters

| foundtype | - PETSC_TRUE if the type was registered
| foundmtype | - PETSC_TRUE if the type supports the requested mtype
| createfactor | - routine that will create the factored matrix ready to be used or NULL if not found

### See Also

MatCopy(), MatDuplicate(), MatGetFactorAvailable(), MatSolverTypeRegister(), MatGetFactor()

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages